Subject: Re: [bug#45003] [PATCH] gnu: poetry: Fix a problem with a dependency.

From: Tanguy LE CARROUR <[email-masked]>
Date: Fri, 04 Dec 2020 08:23:38 +0100

Hi Marius!

Excerpts from Marius Bakke's message of December 3, 2020 10:47 pm:
> Tanguy Le Carrour <[email-masked]> skriver:
> 
>> * gnu/packages/python-xyz.scm (poetry)[arguments]: Relax version constraints
>> for python-packaging.
> 
> Applied, thanks!

Thanks!

> Note: I tried to do this:
> […]
> But the test suite actually picks the 'python-packaging' that is
> propagated from 'pytest', and promptly fails.
> 
> Updating packaging alone is also a staging-level change, so I did not
> dig much further.  But there is some room for improvement here.  Maybe
> by (setenv "PYTHONPATH" (string-append ".:" (getenv "PYTHONPATH"))) ?
> 
> I also wonder whether pytest needs to propagate packaging at all, or if
> wrapping is enough.  Do you know how common it is to "import pytest" or
> "from pytest import foo", and whether those code paths would need
> 'packaging'?
> 
> Anyway, future problems!  Thanks for maintaining Poetry.  :-)

I would hardly call it "maintaining"! It's been more like a struggle! ^_^'
Now that the situation has (hopefully) stabilized, I can spend some time
on the "poetry build system".

Thank you again for your precious help and your time!

-- 
Tanguy